#
# Cookbook Name:: dcos-grid
# Attributes:: default
#
# Copyright 2016, whitestar
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

default['dcos-grid']['dcos_release_url'] = 'https://downloads.dcos.io/dcos/EarlyAccess/dcos_generate_config.sh'
default['dcos-grid']['docker-engine']['version'] = '1.11.2-1.el7.centos'
default['dcos-grid']['bootstrap']['ip'] = '127.0.0.1'
default['dcos-grid']['bootstrap']['port'] = '8080'
default['dcos-grid']['bootstrap']['genconf_dir'] = '/opt/dcos-grid/genconf'
default['dcos-grid']['bootstrap']['config'] = {
  'bootstrap_url' => "http://#{node['dcos-grid']['bootstrap']['ip']}:#{node['dcos-grid']['bootstrap']['port']}",
  'cluster_name' => 'dcos0',
  'exhibitor_storage_backend' => 'static',
  'ip_detect_filename' => '/genconf/ip-detect',
  'master_list' => [
    #'192.168.56.101',
    #'192.168.56.102',
    #'192.168.56.103',
  ],
  'resolvers' => [
    #'8.8.8.8',
    #'8.8.4.4',
  ],
}
default['dcos-grid']['bootstrap']['ip-detect'] = {
  'interface' => 'eth0',
}
default['dcos-grid']['node']['auto_setup'] = false
